// java wrapper for vtkWindow object
//

package vtk;
import vtk.*;

public class vtkWindow extends vtkObject
{

  private native String GetClassName_0();
  public String GetClassName()
    { return GetClassName_0(); }

  private native int IsA_1(String id0);
  public int IsA(String id0)
    { return IsA_1(id0); }

  private native void SetWindowInfo_2(String id0);
  public void SetWindowInfo(String id0)
    { SetWindowInfo_2(id0); }

  private native void SetParentInfo_3(String id0);
  public void SetParentInfo(String id0)
    { SetParentInfo_3(id0); }

  private native int[]  GetPosition_4();
  public int[]  GetPosition()
    { return GetPosition_4(); }

  private native void SetPosition_5(int id0,int id1);
  public void SetPosition(int id0,int id1)
    { SetPosition_5(id0,id1); }

  private native void SetPosition_6(int id0[]);
  public void SetPosition(int id0[])
    { SetPosition_6(id0); }

  private native int[]  GetSize_7();
  public int[]  GetSize()
    { return GetSize_7(); }

  private native void SetSize_8(int id0,int id1);
  public void SetSize(int id0,int id1)
    { SetSize_8(id0,id1); }

  private native void SetSize_9(int id0[]);
  public void SetSize(int id0[])
    { SetSize_9(id0); }

  private native void SetMapped_10(int id0);
  public void SetMapped(int id0)
    { SetMapped_10(id0); }

  private native int GetMapped_11();
  public int GetMapped()
    { return GetMapped_11(); }

  private native void MappedOn_12();
  public void MappedOn()
    { MappedOn_12(); }

  private native void MappedOff_13();
  public void MappedOff()
    { MappedOff_13(); }

  private native void SetErase_14(int id0);
  public void SetErase(int id0)
    { SetErase_14(id0); }

  private native int GetErase_15();
  public int GetErase()
    { return GetErase_15(); }

  private native void EraseOn_16();
  public void EraseOn()
    { EraseOn_16(); }

  private native void EraseOff_17();
  public void EraseOff()
    { EraseOff_17(); }

  private native void SetDoubleBuffer_18(int id0);
  public void SetDoubleBuffer(int id0)
    { SetDoubleBuffer_18(id0); }

  private native int GetDoubleBuffer_19();
  public int GetDoubleBuffer()
    { return GetDoubleBuffer_19(); }

  private native void DoubleBufferOn_20();
  public void DoubleBufferOn()
    { DoubleBufferOn_20(); }

  private native void DoubleBufferOff_21();
  public void DoubleBufferOff()
    { DoubleBufferOff_21(); }

  private native String GetWindowName_22();
  public String GetWindowName()
    { return GetWindowName_22(); }

  private native void SetWindowName_23(String id0);
  public void SetWindowName(String id0)
    { SetWindowName_23(id0); }

  private native void Render_24();
  public void Render()
    { Render_24(); }

  private native int GetPixelData_25(int id0,int id1,int id2,int id3,int id4,vtkUnsignedCharArray id5);
  public int GetPixelData(int id0,int id1,int id2,int id3,int id4,vtkUnsignedCharArray id5)
    { return GetPixelData_25(id0,id1,id2,id3,id4,id5); }

  private native int GetDPI_26();
  public int GetDPI()
    { return GetDPI_26(); }

  private native void SetDPI_27(int id0);
  public void SetDPI(int id0)
    { SetDPI_27(id0); }

  private native int GetDPIMinValue_28();
  public int GetDPIMinValue()
    { return GetDPIMinValue_28(); }

  private native int GetDPIMaxValue_29();
  public int GetDPIMaxValue()
    { return GetDPIMaxValue_29(); }

  private native void SetOffScreenRendering_30(int id0);
  public void SetOffScreenRendering(int id0)
    { SetOffScreenRendering_30(id0); }

  private native int GetOffScreenRendering_31();
  public int GetOffScreenRendering()
    { return GetOffScreenRendering_31(); }

  private native void OffScreenRenderingOn_32();
  public void OffScreenRenderingOn()
    { OffScreenRenderingOn_32(); }

  private native void OffScreenRenderingOff_33();
  public void OffScreenRenderingOff()
    { OffScreenRenderingOff_33(); }

  private native void MakeCurrent_34();
  public void MakeCurrent()
    { MakeCurrent_34(); }

  private native void SetTileScale_35(int id0);
  public void SetTileScale(int id0)
    { SetTileScale_35(id0); }

  private native int GetTileScale_36();
  public int GetTileScale()
    { return GetTileScale_36(); }

  private native void SetTileViewport_37(double id0,double id1,double id2,double id3);
  public void SetTileViewport(double id0,double id1,double id2,double id3)
    { SetTileViewport_37(id0,id1,id2,id3); }

  private native void SetTileViewport_38(double id0[]);
  public void SetTileViewport(double id0[])
    { SetTileViewport_38(id0); }

  private native double[] GetTileViewport_39();
  public double[] GetTileViewport()
    { return GetTileViewport_39(); }

  public vtkWindow() { super(); };

  protected vtkWindow(int dmy) { super(dmy); };
  protected native void   VTKCastInit();

}
